Message::Passing::Role::Crypt::CBC(3pm)

NAME
Message::Passing::Role::Crypt::CBC - Common attributes for encoding or decoding encrypted messages

ATTRIBUTES

  encryption_key
The key for encryption (this is a shared secret key between both sides)

  encryption_cipher
Any cipher supported by Crypt::CBC.

METHODS

  cbc
Returns a new Crypt::CBC object.

SEE ALSO

Message::Passing::Filter::Encoder::Crypt::CBC
Message::Passing::Filter::Decoder::Crypt::CBC
Crypt::CBC

AUTHOR, COPYRIGHT & LICENSE
See Message::Passing.